Bug 859658 - hp-sendfax is not working
Summary: hp-sendfax is not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-22 22:06 UTC by NM
Modified: 2012-10-15 15:41 UTC (History)
3 users (show)

Fixed In Version: hplip-3.12.9-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of: 841951
Environment:
Last Closed: 2012-10-15 09:28:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1055510 None None None 2012-09-25 12:44:20 UTC

Description NM 2012-09-22 22:06:56 UTC
+++ This bug was initially created as a clone of Bug #841951 +++

HP Linux Imaging and Printing System (ver. 3.12.9)
PC Sendfax Utility ver. 9.0

Description of problem:
Today after updating hplip from 3.12.6 to 3.12.9 version (using yum), hp-sendfax stop working. 
When executing:  hp-sendfax -n -f 18884732963 -l debug test 
I observe the following lines over and over: 

hp-sendfax[10322]: debug: Waiting for fax...
hp-sendfax[10322]: debug: [dbus.String(u'hpfax:/net/Officejet_4620_series?zc=HPB4B52F1D2587'), dbus.String(u''), dbus.Int32(0), dbus.String(u'akavalov'), dbus.Int32(119), dbus.String(u''), dbus.Double(0.0), dbus.String(u'')]

Reproducible always. 

Additional info:
Hardware - HP OFFICEJET 4620 AIO. 
Linux armat1.home 3.4.9-2.fc16.x86_64 #1 SMP Thu Aug 23 17:51:29 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Disabling SElinux does not change this behavour. Any ideas?

Comment 1 Jiri Popelka 2012-09-24 11:40:44 UTC
(In reply to comment #0)
> Disabling SElinux does not change this behavour.

So it doesn't seem to be related to bug #841951.

I have no idea how to debug this issue so do you think you could report it directly upstream ?  https://bugs.launchpad.net/hplip/
Thanks.

Comment 2 NM 2012-09-24 13:55:10 UTC
Sure, will do. Thanks.

Comment 3 Jiri Popelka 2012-10-02 15:50:34 UTC
According to
https://bugs.launchpad.net/hplip/+bug/1055510/comments/5
it seems that I forgot to package the new /var/log/hp/tmp directory.

Thanks for the investigation Andrew.

Comment 4 Fedora Update System 2012-10-02 16:02:46 UTC
hplip-3.12.9-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hplip-3.12.9-6.fc18

Comment 5 Fedora Update System 2012-10-02 16:07:07 UTC
hplip-3.12.9-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hplip-3.12.9-6.fc16

Comment 6 NM 2012-10-02 16:29:49 UTC
Thanks.

Comment 7 Fedora Update System 2012-10-02 19:47:46 UTC
Package hplip-3.12.9-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.12.9-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15208/hplip-3.12.9-6.fc18
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.